import React from "react";

import { Image } from "./Image";

import styles from "./MiniTechTalkCard.module.css";

interface MiniTechTalkProps {
  name: string;
  short: string;
  poster?: string;
}

export function MiniTechTalkCard({ name, poster, short }: MiniTechTalkProps) {
  return (
    <article className={styles.card}>
      <aside>{poster && <Image alt={name} src={poster} />}</aside>
      <div className={styles.content}>
        <h1>{name}</h1>
        <p>{short}</p>
      </div>
    </article>
  );
}
